Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Handler Class Reference

This base class defines the interface for receiving the results of asynchronous operations. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Handler:

[legend]
Collaboration diagram for ACE_Handler:

[legend]
List of all members.

## Public Methods
| ACE_Handler (void)
| A do nothing constructor.
| ACE_Handler (ACE_Proactor *p)
| A do nothing constructor which allows proactor to be set to <p>.
virtual | ~ACE_Handler (void)
| Virtual destruction.
virtual void | handle_read_stream (const ACE_Asynch_Read_Stream::Result &result)
virtual void | handle_write_dgram (const ACE_Asynch_Write_Dgram::Result &result)
virtual void | handle_read_dgram (const ACE_Asynch_Read_Dgram::Result &result)
virtual void | handle_write_stream (const ACE_Asynch_Write_Stream::Result &result)
virtual void | handle_read_file (const ACE_Asynch_Read_File::Result &result)
virtual void | handle_write_file (const ACE_Asynch_Write_File::Result &result)
virtual void | handle_accept (const ACE_Asynch_Accept::Result &result)
| This method will be called when an asynchronous accept completes.
virtual void | handle_connect (const ACE_Asynch_Connect::Result &result)
| This method will be called when an asynchronous connect completes.
virtual void | handle_transmit_file (const ACE_Asynch_Transmit_File::Result &result)
virtual void | handle_time_out (const ACE_Time_Value &tv, const void *act=0)
virtual void | handle_wakeup (void)
ACE_Proactor * | proactor (void)
| Get the proactor associated with this handler.
void | proactor (ACE_Proactor *p)
| Set the proactor.
virtual ACE_HANDLE | handle (void) const
virtual void | handle (ACE_HANDLE)
| Set the ACE_HANDLE value for this Handler.
## Protected Attributes
ACE_Proactor * | proactor_
| The proactor associated with this handler.
ACE_HANDLE | handle_
| The ACE_HANDLE in use with this handler.

## Detailed Description

This base class defines the interface for receiving the results of asynchronous operations.

Subclasses of this class will fill in appropriate methods.

## Constructor & Destructor Documentation

ACE_Handler::ACE_Handler | ( | void |  | ) |

| A do nothing constructor.

ACE_Handler::ACE_Handler | ( | ACE_Proactor * | p | ) |

| A do nothing constructor which allows proactor to be set to <p>.

ACE_Handler::~ACE_Handler | ( | void |  | ) | `[virtual]`

| Virtual destruction.

## Member Function Documentation

void ACE_Handler::handle | ( | ACE_HANDLE |  | ) | `[virtual]`

| Set the ACE_HANDLE value for this Handler. Reimplemented in ACE_Asynch_Acceptor< HANDLER >.

ACE_HANDLE ACE_Handler::handle | ( | void |  | ) | const`[virtual]`

| Get the I/O handle used by this <handler>. This method will be called by the ACE_Asynch_* classes when an ACE_INVALID_HANDLE is passed to <open>. Reimplemented in ACE_Asynch_Acceptor< HANDLER >.

void ACE_Handler::handle_accept | ( | const ACE_Asynch_Accept::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous accept completes. Reimplemented in ACE_Asynch_Acceptor< HANDLER >.

void ACE_Handler::handle_connect | ( | const ACE_Asynch_Connect::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous connect completes. Reimplemented in ACE_Asynch_Connector< HANDLER >.

void ACE_Handler::handle_read_dgram | ( | const ACE_Asynch_Read_Dgram::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous read completes on a UDP socket.

void ACE_Handler::handle_read_file | ( | const ACE_Asynch_Read_File::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous read completes on a file. Reimplemented in ACE_POSIX_Asynch_Transmit_Handler.

void ACE_Handler::handle_read_stream | ( | const ACE_Asynch_Read_Stream::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous read completes on a stream. Reimplemented in ACE_AIOCB_Notify_Pipe_Manager.

void ACE_Handler::handle_time_out | ( | const ACE_Time_Value & | tv,
|  | const void * | act = 0
| ) | `[virtual]`

| Called when timer expires. <tv> was the requested time value and <act> is the ACT passed when scheduling the timer.

void ACE_Handler::handle_transmit_file | ( | const ACE_Asynch_Transmit_File::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous transmit file completes.

void ACE_Handler::handle_wakeup | ( | void |  | ) | `[virtual]`

| This is method works with the <run_event_loop> of the ACE_Proactor. A special <Wake_Up_Completion> is used to wake up all the threads that are blocking for completions.

void ACE_Handler::handle_write_dgram | ( | const ACE_Asynch_Write_Dgram::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous write completes on a UDP socket.

void ACE_Handler::handle_write_file | ( | const ACE_Asynch_Write_File::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous write completes on a file.

void ACE_Handler::handle_write_stream | ( | const ACE_Asynch_Write_Stream::Result & | result | ) | `[virtual]`

| This method will be called when an asynchronous write completes on a stream. Reimplemented in ACE_POSIX_Asynch_Transmit_Handler.

void ACE_Handler::proactor | ( | ACE_Proactor * | p | ) |

| Set the proactor.

ACE_Proactor * ACE_Handler::proactor | ( | void |  | ) |

| Get the proactor associated with this handler.

## Member Data Documentation

ACE_HANDLE ACE_Handler::handle_`[protected]`

| The ACE_HANDLE in use with this handler.

ACE_Proactor* ACE_Handler::proactor_`[protected]`

| The proactor associated with this handler.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO.cpp